[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Upgrading OpenLDAP and Berk DB>

Howard Chu wrote:

>Do I have to remove Berkeley DB v3 or can I keep both.

You can keep both if you set your search paths so that BDB 4.1 is found first
by the configure script.

Note that if one tries to build OpenLDAP 2.1.14 against pre-installed packages of Cyrus-SASL and Heimdal slapd will crash since these components might also be linked against old BDB version. Check the package dependencies.

A solution is to build local installations of Cyrus-SASL and Heimdal against BDB 4.1. At least it worked for me to re-build Cyrus-SASL.

Ciao, Michael.